# frozen_string_literal: true

require File.expand_path('lib/researchable/pdf_renderer/version', __dir__)

Gem::Specification.new do |gem|
  gem.name          = 'researchable-pdf-renderer'
  gem.version       = Researchable::PdfRenderer::VERSION
  gem.license       = 'Unlicensed'
  gem.summary       = 'Gem for rendering result PDFs'
  gem.authors       = ['Frank Blaauw']
  gem.email         = 'pdf-renderer@researchable.nl'

  gem.files         = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  gem.executables   = gem.files.grep(%r{^bin/}).map { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ['lib']

  gem.add_dependency 'active_interaction'
  gem.add_dependency 'httparty'

  gem.add_development_dependency 'appraisal'
  gem.add_development_dependency 'bundler'
  gem.add_development_dependency 'rake'
  gem.add_development_dependency 'rspec'
  gem.add_development_dependency 'yard'
  gem.add_development_dependency 'factory_bot'
end
